[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.DisplayText

Formatted field value

## Declaration

Source position: db.pas line 404

`public property TField.DisplayText: String read GetDisplayText;`

## Description

DisplayText returns the field's value as it should be displayed to the user, with all necessary formatting applied. Controls that should display the value of the field should use DisplayText instead of the TField.AsString property, which does not take into account any formatting.

## See also

TField.AsString |  | Access the field's contents as an AnsiString value.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .